## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNodeSetAllocator Class Reference

List of all members.

## Public Types

- typedef XPathExecutionContext::BorrowReturnMutableNodeRefList BorrowReturnMutableNodeRefList
- typedef XNodeSet nodeset_type
- typedef ReusableArenaAllocator<
  nodeset_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XNodeSetAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XNodeSetAllocator ()
- nodeset_type * createNodeSet (BorrowReturnMutableNodeRefList &value)
    Create an XNodeSet object using allocator from a string.
- bool destroy (nodeset_type *theNodeSet)
    Delete an XNodeSet object from allocator.
- bool ownsObject (const nodeset_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XNodeSet objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ReusableArenaAllocator<nodeset_type> XNodeSetAllocator::ArenaAllocatorType

typedef XPathExecutionContext::BorrowReturnMutableNodeRefList XNodeSetAllocator::BorrowReturnMutableNodeRefList

typedef XNodeSet XNodeSetAllocator::nodeset_type

typedef ArenaAllocatorType::size_type XNodeSetAllocator::size_type

## Constructor & Destructor Documentation

XNodeSetAllocator::XNodeSetAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XNodeSetAllocator::~XNodeSetAllocator | ( |  | ) |

## Member Function Documentation

nodeset_type* XNodeSetAllocator::createNodeSet | ( | BorrowReturnMutableNodeRefList & | value | ) |

Create an XNodeSet object using allocator from a string.

Parameters:

  value | source NodeRefListBase

Returns:
  pointer to a node

bool XNodeSetAllocator::destroy | ( | nodeset_type * | theNodeSet | ) |

| Delete an XNodeSet object from allocator.

size_type XNodeSetAllocator::getBlockCount | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XNodeSetAllocator::getBlockSize | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

bool XNodeSetAllocator::ownsObject | ( | const nodeset_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XNodeSetAllocator::reset | ( |  | ) |

| Delete all XNodeSet objects from allocator.

The documentation for this class was generated from the following file:

- XNodeSetAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.